# Uses of Interface
org.apache.qpid.proton.engine.SslPeerDetails

Packages that use SslPeerDetails
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.engine.impl.ssl

## Uses of SslPeerDetails in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return SslPeerDetails
Modifier and Type
Method
Description
`static SslPeerDetails`
Proton.`sslPeerDetails(String hostname, int port)`

## Uses of SslPeerDetails in org.apache.qpid.proton.engine

Subinterfaces of SslPeerDetails in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`ProtonJSslPeerDetails`
Extends `SslPeerDetails` with functionality specific to proton-j
Methods in org.apache.qpid.proton.engine that return SslPeerDetails
Modifier and Type
Method
Description
`static SslPeerDetails`
SslPeerDetails.Factory.`create(String hostname, int port)`
`static SslPeerDetails`
Engine.`sslPeerDetails(String hostname, int port)`
Methods in org.apache.qpid.proton.engine with parameters of type SslPeerDetails
Modifier and Type
Method
Description
`Ssl`
Transport.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of SslPeerDetails in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type SslPeerDetails
Modifier and Type
Method
Description
`Ssl`
TransportImpl.`ssl(SslDomain sslDomain, SslPeerDetails sslPeerDetails)`
Wrap this transport's output and input to apply SSL encryption and decryption respectively.

## Uses of SslPeerDetails in org.apache.qpid.proton.engine.impl.ssl

Classes in org.apache.qpid.proton.engine.impl.ssl that implement SslPeerDetails
Modifier and Type
Class
Description
`class`
`SslPeerDetailsImpl`
Methods in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslPeerDetails
Modifier and Type
Method
Description
`ProtonSslEngine`
SslEngineFacadeFactory.`createProtonSslEngine(SslDomain domain, SslPeerDetails peerDetails)`
Returns a `ProtonSslEngine`.
`ProtonSslEngine`
ProtonSslEngineProvider.`createSslEngine(SslPeerDetails peerDetails)`
Returns an SSL engine.
`ProtonSslEngine`
SslDomainImpl.`createSslEngine(SslPeerDetails peerDetails)`
Constructors in org.apache.qpid.proton.engine.impl.ssl with parameters of type SslPeerDetails
Modifier
Constructor
Description
``
`SslImpl(SslDomain domain, SslPeerDetails peerDetails)`